<?xml version="1.0" encoding="utf-8"?>
<androidx.drawerlayout.widget.DrawerLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:id="@+id/drawLayout"
    tools:openDrawer="end"
    android:background="@mipmap/main_prink_bg"
    tools:context=".viewUi.HomeActivity">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <TextView
            android:id="@+id/text_view_appName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:text="@string/app_name"
            android:textColor="@color/white"
            android:textSize="20sp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:layout_width="34dp"
            android:layout_height="34dp"
            android:padding="5dp"
            android:id="@+id/imageMenu"
            app:layout_constraintTop_toTopOf="@id/text_view_appName"
            app:layout_constraintEnd_toEndOf="@id/card_banner"
            android:src="@mipmap/menu" />


        <androidx.cardview.widget.CardView
            android:id="@+id/card_banner"
            android:layout_width="match_parent"
            android:layout_height="144dp"
            android:layout_marginStart="16dp"
            android:layout_marginTop="32dp"
            android:layout_marginEnd="16dp"
            app:cardCornerRadius="12dp"
            app:layout_constraintTop_toBottomOf="@id/text_view_appName">

            <ImageView
                android:id="@+id/image_view_banner"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:src="@mipmap/home_banner"
                android:scaleType="fitXY" />

        </androidx.cardview.widget.CardView>


        <TextView
            android:id="@+id/text_for_you"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginTop="25dp"
            android:text="@string/app_name"
            android:textColor="@color/black"
            android:textSize="20sp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@id/card_banner" />


        <LinearLayout
            android:id="@+id/layout_view_all"
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:layout_marginEnd="16dp"
            android:background="@drawable/view_all_bg"
            android:gravity="center"
            android:orientation="horizontal"
            android:paddingStart="10dp"
            android:paddingEnd="10dp"
            app:layout_constraintBottom_toBottomOf="@id/text_for_you"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@id/text_for_you">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/view_all"
                android:textColor="@color/black"
                android:textSize="12sp" />
        </LinearLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/for_you_recycler"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginTop="17dp"
            android:layout_marginEnd="8dp"
            app:layout_constraintTop_toBottomOf="@id/text_for_you" />

    </androidx.constraintlayout.widget.ConstraintLayout>


    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="end"
        android:background="@drawable/draw_layout"
        android:paddingStart="16dp"
        android:paddingEnd="16dp">

        <ImageView
            android:id="@+id/imLogo"
            android:layout_width="48dp"
            android:layout_height="48dp"
            android:layout_marginStart="16dp"
            android:layout_marginTop="20dp"
            android:src="@mipmap/logo_nova_keyboard" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@id/imLogo"
            android:layout_alignBottom="@id/imLogo"
            android:layout_marginStart="16dp"
            android:layout_toEndOf="@id/imLogo"
            android:gravity="center"
            android:text="@string/app_name"
            android:textColor="@color/white"
            android:textSize="16sp" />

        <LinearLayout
            android:id="@+id/layout_keyboard_setting"
            android:layout_width="match_parent"
            android:layout_height="56dp"
            android:layout_below="@id/imLogo"
            android:layout_marginTop="34dp"
            android:gravity="center_vertical">

            <ImageView
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:src="@mipmap/board_setting" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:text="@string/Keyboard_set"
                android:textColor="@color/white"
                android:textSize="14sp" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_below="@id/layout_keyboard_setting"
            android:background="@color/white" />

        <LinearLayout
            android:id="@+id/layout_rate"
            android:layout_width="match_parent"
            android:layout_height="56dp"
            android:layout_below="@id/layout_keyboard_setting"
            android:layout_marginTop="8dp"
            android:gravity="center_vertical">

            <ImageView
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:src="@mipmap/rate_us" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:text="@string/app_rate_us"
                android:textColor="@color/white"
                android:textSize="14sp" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_below="@id/layout_rate"
            android:background="@color/white" />

        <LinearLayout
            android:id="@+id/layout_privacy"
            android:layout_width="match_parent"
            android:layout_height="56dp"
            android:layout_below="@id/layout_rate"
            android:layout_marginTop="8dp"
            android:gravity="center_vertical">

            <ImageView
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:src="@mipmap/rivacy" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:text="@string/app_privacy"
                android:textColor="@color/white"
                android:textSize="14sp" />

        </LinearLayout>
    </RelativeLayout>
</androidx.drawerlayout.widget.DrawerLayout>